{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/10.04/aa-1004-pre-01-long-index.p
  Doel: Afkappen lange descriptions die in de index worden gebruikt.
        ter voorkoming van afbreken op nieuwe index.
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.

DISABLE TRIGGERS FOR LOAD OF aa-invoice_header.
DISABLE TRIGGERS FOR LOAD OF aa-fin_payable.

ASSIGN cProgram =  "aa-1004-pre-01-long-index.p".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.



DO TRANSACTION:

  ASSIGN cAction  = "Afkappen invoice ref."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  FOR EACH aa-invoice_header
    WHERE LENGTH(aa-invoice_header.ref1_header) GT 120 
    EXCLUSIVE-LOCK :
    
    ASSIGN aa-invoice_header.ref1_header = SUBSTRING(aa-invoice_header.ref1_header,1,120) .
    
    iDone = iDone  + 1.
    RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

  END. /* FOR EACH aa-invoice_header */

END. /* TRANSACTION */

RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

DO TRANSACTION:

  ASSIGN cAction  = "Afkappen Debtor Accounts description."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  FOR EACH aa-fin_payable
    WHERE LENGTH(aa-fin_payable.des) GT 120
    EXCLUSIVE-LOCK :

    ASSIGN aa-fin_payable.des = SUBSTRING(aa-fin_payable.des,1,120) .
    
    iDone = iDone  + 1.
    RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

  END. /* FOR EACH aa-fin_payable */
END. /* TRANSACTION */

RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
