{system/conversion/conversion_progress.i}

/*------------------------------------------------------------------------
  File: aa/conversion/13.02/aa-1302-after-03-pi-vat_details.p
  Doel: Verwijderen VAT Details zonder inkoopnota.
------------------------------------------------------------------------*/
  DEF VAR cProgram                      AS CHAR NO-UNDO.
  DEF VAR cAction                       AS CHAR NO-UNDO.
  DEF VAR iDone                         AS INT  NO-UNDO.
  DEF VAR iModulo                       AS INT  NO-UNDO.

  DEF BUFFER b-aa-purchase_invoice     FOR aa-purchase_invoice.
  DEF BUFFER b-aa-purchase_invoice_vat FOR aa-purchase_invoice_vat.
  
  
  ASSIGN cProgram =  "aa-1302-after-03-pi-vat_details.p"
         iModulo  =  1000.
  
  FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
       "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
       "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
       WITH FRAME a.


  ASSIGN cAction  = "Verwijderen VAT Details zonder inkoopnota."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  DISABLE TRIGGERS FOR LOAD OF b-aa-purchase_invoice_vat.

  FOR EACH sp-company NO-LOCK:

    FOR EACH b-aa-purchase_invoice_vat WHERE 
             b-aa-purchase_invoice_vat.companycode = sp-company.companycode AND
             b-aa-purchase_invoice_vat.dt_create >= 01/01/2013
             EXCLUSIVE-LOCK 
             TRANSACTION:
      FIND b-aa-purchase_invoice WHERE
           b-aa-purchase_invoice.companycode = b-aa-purchase_invoice_vat.companycode AND
           b-aa-purchase_invoice.invoicenr   = b-aa-purchase_invoice_vat.invoicenr
           NO-LOCK NO-ERROR.
      IF NOT AVAIL b-aa-purchase_invoice
      THEN DO:
        DELETE b-aa-purchase_invoice_vat.
        
        iDone = iDone  + 1.
        IF iDone MODULO iModulo = 0 
        THEN RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
      END.
    END.
  END.

  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  


  
