{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/13.03/aa-1402-after-01-aa-fiscal_mut.p
  Doel: Vullen Principal adres van Fiscal file op de Onderliggende Fiscal Muts
------------------------------------------------------------------------*/
DEFINE VARIABLE cProgram                      AS CHARACTER NO-UNDO.
DEFINE VARIABLE cAction                       AS CHARACTER NO-UNDO.
DEFINE VARIABLE iDone                         AS INTEGER   NO-UNDO.
DEFINE VARIABLE cTable                        AS CHARACTER NO-UNDO.
DEFINE VARIABLE iModulo                       AS INTEGER   NO-UNDO.

DEFINE BUFFER b-aa-fiscal_mut FOR aa-fiscal_mut.

ASSIGN cProgram =  "aa-1402-after-01-fiscal_mut.p"
       cAction  = "Fill Principal on Fiscal Mutations"
       cTable   = "aa-fiscal_mut"
       iModulo  = 1000
       iDone    = 0. 

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.

DISABLE TRIGGERS FOR LOAD OF b-aa-fiscal_mut.
  
RUN DisplayProgress (cProgram, cAction, cTable, 0, iDone).

FOR EACH sp-company NO-LOCK:

   FOR EACH aa-fiscal_file
      WHERE aa-fiscal_file.companycode = sp-company.companycode NO-LOCK:
  
      FOR EACH aa-fiscal_mut
         WHERE aa-fiscal_mut.companycode = aa-fiscal_file.companycode AND
               aa-fiscal_mut.filenr      = aa-fiscal_file.filenr      NO-LOCK:
         DO TRANSACTION:
            FIND b-aa-fiscal_mut
               WHERE ROWID(b-aa-fiscal_mut) = ROWID(aa-fiscal_mut) EXCLUSIVE-LOCK NO-ERROR.
            IF AVAILABLE b-aa-fiscal_mut AND b-aa-fiscal_mut.principal_addressnr = 0 THEN
               ASSIGN b-aa-fiscal_mut.principal_addressnr = aa-fiscal_file.principal_addressnr.
  
            ASSIGN iDone = iDone + 1.
            IF iDone MODULO iModulo = 0 THEN
               RUN DisplayProgress (cProgram, cAction, cTable, 0, iDone).
         END.
      END.
   END.

END.
RUN DisplayProgress (cProgram, cAction, cTable, 0 , iDone).
