{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/13.03/aa-1402-after-01-aa-debtor.p
  Doel: Vullen Principal adres van Fiscal file op de Onderliggende Fiscal Muts
------------------------------------------------------------------------*/
DEFINE VARIABLE cProgram                      AS CHARACTER NO-UNDO.
DEFINE VARIABLE cAction                       AS CHARACTER NO-UNDO.
DEFINE VARIABLE iDone                         AS INTEGER   NO-UNDO.
DEFINE VARIABLE cTable                        AS CHARACTER NO-UNDO.
DEFINE VARIABLE iModulo                       AS INTEGER   NO-UNDO.

DEFINE BUFFER b-aa-debtor FOR aa-debtor.

ASSIGN cProgram =  "aa-1402-after-01-debtor_attachment.p"
       cAction  = "Fill debtors attachement nr"
       cTable   = "aa-debtor"
       iModulo  = 1000
       iDone    = 0. 

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.

DISABLE TRIGGERS FOR LOAD OF b-aa-debtor.
  
RUN DisplayProgress (cProgram, cAction, cTable, 0, iDone).

FOR EACH sp-company NO-LOCK :
  
  FOR EACH b-aa-debtor FIELDS (attachmentnr)
     WHERE b-aa-debtor.companycode = sp-company.companycode AND
           b-aa-debtor.attachmentnr  = 0   EXCLUSIVE-LOCK TRANSACTION :

      b-aa-debtor.attachmentnr = NEXT-VALUE(aa-attachment).
    
      ASSIGN iDone = iDone + 1.
      IF iDone MODULO iModulo = 0 THEN
         RUN DisplayProgress (cProgram, cAction, cTable, 0, iDone).
      
  END.

END.

RUN DisplayProgress (cProgram, cAction, cTable, 0 , iDone).
