{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/13.03/aa-1402-after-01-aa-fiscal_mut.p
  Doel: Vullen Principal adres van Fiscal file op de Onderliggende Fiscal Muts
------------------------------------------------------------------------*/
DEFINE VARIABLE cProgram                      AS CHARACTER NO-UNDO.
DEFINE VARIABLE cAction                       AS CHARACTER NO-UNDO.
DEFINE VARIABLE iDone                         AS INTEGER   NO-UNDO.
DEFINE VARIABLE cTable                        AS CHARACTER NO-UNDO.
DEFINE VARIABLE iModulo                       AS INTEGER   NO-UNDO.
DEFINE VARIABLE lInvoiced                     AS LOGICAL   NO-UNDO.

DEFINE BUFFER b-aa-fiscal_file FOR aa-fiscal_file.

ASSIGN cProgram =  "aa-1501-after-01-fiscal_file.p"
       cAction  = "Fill Vat Invoice Indicator on Fiscal Files"
       cTable   = "aa-fiscal_file"
       iModulo  = 1000
       iDone    = 0. 

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.

DISABLE TRIGGERS FOR LOAD OF b-aa-fiscal_file.
  
RUN DisplayProgress (cProgram, cAction, cTable, 0, iDone).

FOR EACH sp-company NO-LOCK:

   FOR EACH aa-fiscal_file
      WHERE aa-fiscal_file.companycode = sp-company.companycode NO-LOCK:

      ASSIGN lInvoiced = YES.
  
      FOR EACH aa-fiscal_mut
         WHERE aa-fiscal_mut.filenr      = aa-fiscal_file.filenr      AND
               aa-fiscal_mut.companycode = aa-fiscal_file.companycode NO-LOCK:
         IF aa-fiscal_mut.ind_vat_invoice = NO THEN DO:
            ASSIGN lInvoiced = NO.
            LEAVE.
         END. /* IF aa-fiscal_mut.ind_vat_invoice = NO */
      END. /* FOR EACH aa-fiscal_mut */

      /* Nu nog even het vinkje in de header bijwerken (t.b.v. multiple select venster vanuit v-aa-fiscal_file.w) */
      IF lInvoiced THEN DO:
         FIND b-aa-fiscal_file
            WHERE b-aa-fiscal_file.companycode = aa-fiscal_file.companycode AND
                  b-aa-fiscal_file.filenr      = aa-fiscal_file.filenr
            EXCLUSIVE-LOCK NO-ERROR NO-WAIT.
         IF AVAILABLE b-aa-fiscal_file THEN DO:
            ASSIGN b-aa-fiscal_file.ind_vat_invoice = YES.
            RELEASE b-aa-fiscal_file.
         END. /* IF AVAILABLE b-aa-fiscal_file */
      END. /* IF lInvoiced */

   END. /* FOR EACH aa-fiscal_file */

END. /* FOR EACH sp-company */

RUN DisplayProgress (cProgram, cAction, cTable, 0 , iDone).
