{System/conversion/conversion_progress.i}

DEFINE VARIABLE cProgram  AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction   AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable    AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal    AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone     AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel      AS INTEGER   NO-UNDO.

DEFINE VARIABLE gcLijst                AS CHARACTER NO-UNDO.
DEFINE VARIABLE gcLijstNew             AS CHARACTER NO-UNDO.
DEFINE VARIABLE gcUpdate               AS CHARACTER NO-UNDO.
DEFINE VARIABLE giUpdate               AS INTEGER   NO-UNDO.
DEFINE VARIABLE giNew                  AS INTEGER   NO-UNDO.
DEFINE VARIABLE gcCompanyCode          AS CHARACTER NO-UNDO.
DEFINE VARIABLE gcVisitHandlingMailBox AS CHARACTER NO-UNDO.
DEFINE VARIABLE gcParameter            AS CHARACTER NO-UNDO.

/* ************************  Function Prototypes ********************** */
	 
/* *********************** main block ********************************* */	
 
ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "Counting notification settings"
  cTable   = "aa-notification_setting"
  iTotal   = 0
  iDone    = 0.

trans-block:
DO TRANSACTION ON ERROR UNDO, LEAVE
               ON STOP  UNDO, LEAVE.  
   
  RUN add_field ("PREADVISE" , "PREADVETAEARLY", "wm-visit"   , "trailer_registration" , "Driver trailer license"       , "character", "", "normal").
  RUN add_field ("PREADVISE" , "PREADVETALATE", "wm-visit"   , "trailer_registration" , "Driver trailer license"       , "character", "", "normal").
  RUN add_field ("PREADVISE" , "PREADVAVAILCHANGE", "wm-visit"   , "trailer_registration" , "Driver trailer license"       , "character", "", "normal").
  RUN add_field ("VISIT_ITEM", "OUTORDCANCEL", "wm-visit"   , "trailer_registration" , "Driver trailer license"       , "character", "", "normal").
  RUN add_field ("VISIT"     , "VISITCANCEL", "wm-visit"   , "trailer_registration" , "Driver trailer license"       , "character", ""          , "normal"). 

  RUN update_notification_preregconfirm_org.
  iTel  = iTel + 1.
  iDone = iDone + 1.
  RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  
END.	 

/* **********************  Internal Procedures  *********************** */

PROCEDURE add_field:
/*------------------------------------------------------------------------------
 Purpose:
 Notes:
------------------------------------------------------------------------------*/
  DEF INPUT PARAMETER pc_program_function AS CHAR NO-UNDO.
  DEF INPUT PARAMETER pc_notificationcode AS CHAR NO-UNDO.
  DEF INPUT PARAMETER pc_tablename        AS CHAR NO-UNDO.
  DEF INPUT PARAMETER pc_fieldname        AS CHAR NO-UNDO.
  DEF INPUT PARAMETER pc_des              AS CHAR NO-UNDO.
  DEF INPUT PARAMETER pc_datatype         AS CHAR NO-UNDO.
  DEF INPUT PARAMETER pc_member_of_list   AS CHAR NO-UNDO.
  DEF INPUT PARAMETER pc_subtype          AS CHAR NO-UNDO.
  
  FIND aa-notification_field WHERE aa-notification_field.program_function  = pc_program_function 
                               AND aa-notification_field.notificationcode  = pc_notificationcode 
                               AND aa-notification_field.fieldname         = pc_fieldname EXCLUSIVE-LOCK NO-ERROR.
                               
  IF NOT AVAIL aa-notification_field THEN 
  DO. 
    CREATE aa-notification_field.       
    ASSIGN aa-notification_field.program_function  = pc_program_function
           aa-notification_field.notificationcode  = pc_notificationcode.
  END.
  ASSIGN aa-notification_field.tablename         = pc_tablename       
         aa-notification_field.fieldname         = pc_fieldname       
         aa-notification_field.des               = pc_des             
         aa-notification_field.datatype          = pc_datatype        
         aa-notification_field.member_of_list    = pc_member_of_list  
         aa-notification_field.subtype           = pc_subtype.         

END PROCEDURE.

PROCEDURE remove_field:
/*------------------------------------------------------------------------------
 Purpose:
 Notes:
------------------------------------------------------------------------------*/
  DEF INPUT PARAMETER pc_program_function AS CHAR NO-UNDO.
  DEF INPUT PARAMETER pc_notificationcode AS CHAR NO-UNDO.
  DEF INPUT PARAMETER pc_tablename        AS CHAR NO-UNDO.
  DEF INPUT PARAMETER pc_fieldname        AS CHAR NO-UNDO.
  
  FIND aa-notification_field WHERE aa-notification_field.program_function  = pc_program_function 
                               AND aa-notification_field.notificationcode  = pc_notificationcode 
                               AND aa-notification_field.fieldname         = pc_fieldname 
                               AND aa-notification_field.tablename         = pc_tablename EXCLUSIVE-LOCK NO-WAIT NO-ERROR.
  
  IF AVAIL aa-notification_field THEN DELETE aa-notification_field.

END PROCEDURE.

PROCEDURE update_notification_preregconfirm_org:
/*------------------------------------------------------------------------------
 Purpose:
 Notes:
------------------------------------------------------------------------------*/
  RUN remove_field ( "VISIT", "PREREGCONFIRM", "wm-visit_item" , "visit_item_seqnr" ).
  RUN remove_field ( "VISIT", "PREREGCONFIRM", "wm-visit_item" , "visit_item_pinid" ).
  
  RUN add_field ("VISIT", "PREREGCONFIRM", ""              , "lstVisitItem"        , "Visit item list", "none"     , ""            , "list"    ).
  RUN add_field ("VISIT", "PREREGCONFIRM", "wm-visit_item" , "visit_item_seqnr"    , "Visit item No"  , "character", "lstVisitItem", "listitem").
  RUN add_field ("VISIT", "PREREGCONFIRM", "wm-visit_item" , "visit_item_pinid"    , "Visit item ID"  , "character", "lstVisitItem", "listitem").
  RUN add_field ("VISIT", "PREREGCONFIRM", "wm-visit"      , "trailer_registration", "Driver trailer license", "character", "", "normal").
  
  RUN add_field ("VISIT", "PREREGCONFIRM", "", "xrefVisitTerminalCode"           , "Terminal code"                , "character", "", "normal").
  RUN add_field ("VISIT", "PREREGCONFIRM", "", "xrefVisitTerminalDescription"    , "Terminal description"         , "character", "", "normal").
  RUN add_field ("VISIT", "PREREGCONFIRM", "", "xrefVisitTerminalAddrName1"      , "Terminal address name"        , "character", "", "normal").
  RUN add_field ("VISIT", "PREREGCONFIRM", "", "xrefVisitTerminalAddrCompType"   , "Terminal address company type", "character", "", "normal").
  RUN add_field ("VISIT", "PREREGCONFIRM", "", "xrefVisitTerminalAddrAddress1"   , "Terminal address line 1"      , "character", "", "normal").
  RUN add_field ("VISIT", "PREREGCONFIRM", "", "xrefVisitTerminalAddrAddress2"   , "Terminal address line 2"      , "character", "", "normal").
  RUN add_field ("VISIT", "PREREGCONFIRM", "", "xrefVisitTerminalAddrZipcode"    , "Terminal address zipcode"     , "character", "", "normal").
  RUN add_field ("VISIT", "PREREGCONFIRM", "", "xrefVisitTerminalAddrHouseNr"    , "Terminal address housenr"     , "character", "", "normal").
  RUN add_field ("VISIT", "PREREGCONFIRM", "", "xrefVisitTerminalAddrCity"       , "Terminal address city"        , "character", "", "normal").
  RUN add_field ("VISIT", "PREREGCONFIRM", "", "xrefVisitTerminalAddrCountryCode", "Terminal address country code", "character", "", "normal").
  
END PROCEDURE.



/* ************************  Function Implementations ***************** */

