DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.  
{System/conversion/conversion_progress.i}  



DEFINE BUFFER b-aa-cargosnap-file        FOR aa-cargosnap-file.
DEFINE BUFFER b-aa-cargosnap-file-update FOR aa-cargosnap-file.


ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Conversion extrafield1 -> new fields"
       iTotal   = 0
       iDone    = 0
       cTable   = "aa-cargosnap-file".
       
DISABLE TRIGGERS FOR LOAD OF b-aa-cargosnap-file-update.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).


FOR EACH b-aa-cargosnap-file NO-LOCK:
    IF LENGTH(b-aa-cargosnap-file.extrafield1) > 0
    THEN DO TRANSACTION:
      
        FIND b-aa-cargosnap-file-update EXCLUSIVE WHERE ROWID(b-aa-cargosnap-file-update) = ROWID(b-aa-cargosnap-file).
        IF AVAILABLE b-aa-cargosnap-file-update
        THEN DO:
            ASSIGN
                b-aa-cargosnap-file-update.dt_lastcall        = DATE(ENTRY(1,b-aa-cargosnap-file.extrafield1,"|"))
                b-aa-cargosnap-file-update.tim_lastcall       = ENTRY(2,b-aa-cargosnap-file.extrafield1,"|")
                b-aa-cargosnap-file-update.ind_damage         = ENTRY(3,b-aa-cargosnap-file.extrafield1,"|") = 'yes'
                b-aa-cargosnap-file-update.recent_snap_id_new = ENTRY(4,b-aa-cargosnap-file.extrafield1,"|") 
                b-aa-cargosnap-file-update.extrafield1        = ""
                NO-ERROR.  
 
                    
           iDone = iDone + 1.
           IF iDone MODULO 100 = 0
            THEN RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
            
        END. /* AVAILABLE b-aa-cargosnap-file-update */
   
    END. /* LENGTH(b-aa-cargosnap-file-update.extrafield1) > 0 */
            
END. /* EACH b-dd-kvk-art */

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).