DEF VAR cProgram                      AS CHARACTER NO-UNDO.
DEF VAR cAction                       AS CHARACTER NO-UNDO.
DEF VAR cTable                        AS CHARACTER NO-UNDO.
DEF VAR iTotal                        AS INTEGER   NO-UNDO.
DEF VAR iDone                         AS INTEGER   NO-UNDO.

DEF TEMP-TABLE ttCallingCode
  FIELD countrycode AS CHAR 
  FIELD callingcode AS CHAR.
  
{System/conversion/conversion_progress.i}  

DEFINE BUFFER b-aa-country FOR aa-country.

ASSIGN cProgram = THIS-PROCEDURE:FILE-NAME
       cAction  = "Conversion aa-country -> new fields"
       iTotal   = 0
       iDone    = 0
       cTable   = "aa-country".
       
DISABLE TRIGGERS FOR LOAD OF b-aa-country.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

RUN aaCountryFlagImage.
iDone = iDone + 1.
   
RUN aaCountryCallingCodes.
iDone = iDone + 1.
   
RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).



/* **********************  Internal Procedures  *********************** */

PROCEDURE aaCountryCallingCodes:
/*------------------------------------------------------------------------------
 Purpose:
 Notes:
------------------------------------------------------------------------------*/
  CREATE ttCallingCode. ttCallingCode.countrycode = "AD".  ttCallingCode.callingcode = "+376".
  CREATE ttCallingCode. ttCallingCode.countrycode = "AL".  ttCallingCode.callingcode = "+355".
  CREATE ttCallingCode. ttCallingCode.countrycode = "AT".  ttCallingCode.callingcode = "+43" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "AZ".  ttCallingCode.callingcode = "+994".
  CREATE ttCallingCode. ttCallingCode.countrycode = "BA".  ttCallingCode.callingcode = "+387".
  CREATE ttCallingCode. ttCallingCode.countrycode = "BE".  ttCallingCode.callingcode = "+32" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "BG".  ttCallingCode.callingcode = "+359".
  CREATE ttCallingCode. ttCallingCode.countrycode = "BY".  ttCallingCode.callingcode = "+375".
  CREATE ttCallingCode. ttCallingCode.countrycode = "CH".  ttCallingCode.callingcode = "+41" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "CY".  ttCallingCode.callingcode = "+357".
  CREATE ttCallingCode. ttCallingCode.countrycode = "CZ".  ttCallingCode.callingcode = "+420".
  CREATE ttCallingCode. ttCallingCode.countrycode = "DE".  ttCallingCode.callingcode = "+49" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "DK".  ttCallingCode.callingcode = "+45" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "EE".  ttCallingCode.callingcode = "+372".
  CREATE ttCallingCode. ttCallingCode.countrycode = "ES".  ttCallingCode.callingcode = "+34" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "FI".  ttCallingCode.callingcode = "+358".
  CREATE ttCallingCode. ttCallingCode.countrycode = "FR".  ttCallingCode.callingcode = "+33" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "GB".  ttCallingCode.callingcode = "+44" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "GE".  ttCallingCode.callingcode = "+995".
  CREATE ttCallingCode. ttCallingCode.countrycode = "GR".  ttCallingCode.callingcode = "+30" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "HR".  ttCallingCode.callingcode = "+385".
  CREATE ttCallingCode. ttCallingCode.countrycode = "HU".  ttCallingCode.callingcode = "+36" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "IE".  ttCallingCode.callingcode = "+353".
  CREATE ttCallingCode. ttCallingCode.countrycode = "IS".  ttCallingCode.callingcode = "+354".
  CREATE ttCallingCode. ttCallingCode.countrycode = "IT".  ttCallingCode.callingcode = "+39" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "LI".  ttCallingCode.callingcode = "+423".
  CREATE ttCallingCode. ttCallingCode.countrycode = "LT".  ttCallingCode.callingcode = "+370".
  CREATE ttCallingCode. ttCallingCode.countrycode = "LU".  ttCallingCode.callingcode = "+352".
  CREATE ttCallingCode. ttCallingCode.countrycode = "LV".  ttCallingCode.callingcode = "+371".
  CREATE ttCallingCode. ttCallingCode.countrycode = "MC".  ttCallingCode.callingcode = "+377".
  CREATE ttCallingCode. ttCallingCode.countrycode = "MD".  ttCallingCode.callingcode = "+373".
  CREATE ttCallingCode. ttCallingCode.countrycode = "ME".  ttCallingCode.callingcode = "+382".
  CREATE ttCallingCode. ttCallingCode.countrycode = "MK".  ttCallingCode.callingcode = "+389".
  CREATE ttCallingCode. ttCallingCode.countrycode = "MT".  ttCallingCode.callingcode = "+356".
  CREATE ttCallingCode. ttCallingCode.countrycode = "NL".  ttCallingCode.callingcode = "+31" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "NO".  ttCallingCode.callingcode = "+47" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "PL".  ttCallingCode.callingcode = "+48" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "PT".  ttCallingCode.callingcode = "+351".
  CREATE ttCallingCode. ttCallingCode.countrycode = "RO".  ttCallingCode.callingcode = "+40" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "RS".  ttCallingCode.callingcode = "+381".
  CREATE ttCallingCode. ttCallingCode.countrycode = "RU".  ttCallingCode.callingcode = "+7"  .
  CREATE ttCallingCode. ttCallingCode.countrycode = "SE".  ttCallingCode.callingcode = "+46" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "SI".  ttCallingCode.callingcode = "+386".
  CREATE ttCallingCode. ttCallingCode.countrycode = "SK".  ttCallingCode.callingcode = "+421".
  CREATE ttCallingCode. ttCallingCode.countrycode = "SM".  ttCallingCode.callingcode = "+378".
  CREATE ttCallingCode. ttCallingCode.countrycode = "TR".  ttCallingCode.callingcode = "+90" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "UA".  ttCallingCode.callingcode = "+998".
  CREATE ttCallingCode. ttCallingCode.countrycode = "VA".  ttCallingCode.callingcode = "+39" .
  CREATE ttCallingCode. ttCallingCode.countrycode = "XK".  ttCallingCode.callingcode = "+381".
  
  FOR EACH b-aa-country NO-LOCK.
    FIND FIRST ttCallingCode WHERE ttCallingCode.countrycode = b-aa-country.countrycode NO-ERROR.
    IF AVAIL ttCallingCode THEN 
    DO TRANSACTION.
      FIND CURRENT b-aa-country EXCLUSIVE-LOCK.
      b-aa-country.country_calling_code = ttCallingCode.callingcode.
    END.
  END.
  
END PROCEDURE.

PROCEDURE aaCountryFlagImage:
/*------------------------------------------------------------------------------
 Purpose:
 Notes:
------------------------------------------------------------------------------*/
  DEF VAR cImageFile AS CHARACTER NO-UNDO.
  
  FOR EACH b-aa-country NO-LOCK:
   cImageFile = SUBSTITUTE("aa/icons/country_flag_&1.png", LC(b-aa-country.countrycode)).
   IF SEARCH(cImageFile) <> ?
   THEN DO TRANSACTION:
     FIND CURRENT b-aa-country EXCLUSIVE-LOCK.
     IF AVAILABLE b-aa-country
     THEN b-aa-country.country_flag_image = cImageFile.
   END.
END.  

END PROCEDURE.
