{system/include/sp-AllObjects-def.i}

DEF VAR clogFile AS CHAR NO-UNDO.
DEF VAR dc_CR_CC AS DECIMAL NO-UNDO. 
DEF VAR dc_DB_CC AS DECIMAL NO-UNDO. 

/* Herbereken aa-fin_dossier.result_current */

FOR EACH aa-fin_parameter NO-LOCK:
  
  assign
    sp-companycode = aa-fin_parameter.companycode.
    
  DISPLAY aa-fin_parameter.companycode aa-fin_parameter.EXP_results_transcode .
  
  FOR EACH aa-fin_dossier
      WHERE aa-fin_dossier.companycode EQ aa-fin_parameter.companycode 
      EXCLUSIVE TRANSACTION :
    
    ASSIGN
      dc_CR_CC = 0
      dc_DB_CC = 0
      .
    
    FOR EACH aa-fin_payable_dossier NO-LOCK
       WHERE aa-fin_payable_dossier.companycode     EQ aa-fin_dossier.companycode
         AND aa-fin_payable_dossier.dossiernr       EQ aa-fin_dossier.dossiernr
         AND aa-fin_payable_dossier.transactioncode EQ aa-fin_parameter.EXP_results_transcode
         AND aa-fin_payable_dossier.ind_processed   EQ TRUE  :
      
      ASSIGN
        dc_CR_CC = dc_CR_CC
                 + aa-fin_payable_dossier.amount_CR_CC
        dc_DB_CC = dc_DB_CC
                 + aa-fin_payable_dossier.amount_DB_CC
        .
      
    END.
    
    ASSIGN
      aa-fin_dossier.result_current = dc_DB_CC - dc_CR_CC .
    
  END. 
  
END. /* each aa-fin_parameter */
