/* Controleer lopende totalen t.b.v. migratie . */
{system/include/sp-AllObjects-def.i}
{aa/SUPER/aa-fin.i}

DEF VAR dcSumOpen AS DECIMAL NO-UNDO.
DEF VAR clogFile    AS CHAR    NO-UNDO.

FOR EACH aa-creditor 
    EXCLUSIVE-LOCK :

  dcSumOpen = 0 .
  
  FOR EACH aa-fin_receivable 
     WHERE aa-fin_receivable.companycode eq aa-creditor.companycode
       AND aa-fin_receivable.creditor_addressnr EQ aa-creditor.addressnr
       AND aa-fin_receivable.dt_paid EQ ? 
    NO-LOCK :

    dcSumOpen = dcSumOpen 
              + aa-fin_receivable.invoice_CC
              - aa-fin_receivable.paid_CC
      .

  END.

  /* overschrijven totaaltje bij creditor. */
  aa-creditor.current_amount = dcSumOpen .
  
END.

/* En nu de jongens. */
FOR EACH aa-debtor 
    EXCLUSIVE-LOCK :

  dcSumOpen = 0 .
  
  FOR EACH aa-fin_payable 
     WHERE aa-fin_payable.companycode      EQ aa-debtor.companycode
       AND aa-fin_payable.debtor_addressnr EQ aa-debtor.addressnr
       AND aa-fin_payable.dt_paid EQ ? 
    NO-LOCK :
    
    dcSumOpen = dcSumOpen 
              + aa-fin_payable.invoice_CC
              - aa-fin_payable.paid_CC
      .
    
  END.

  /* overschrijven totaaltje bij creditor. */
  aa-debtor.current_amount = dcSumOpen .

END.








