{system/conversion/conversion_progress.i}
/*------------------------------------------------------------------------
  File: aa/conversion/10.04/aa-1004-after-01-pay_timing.p
  Doel: Purchase invoices en creditor Accounts unpdaten met actuele 
        betaal-timing code.
------------------------------------------------------------------------*/
DEF VAR cProgram                      AS CHAR NO-UNDO.
DEF VAR cAction                       AS CHAR NO-UNDO.
DEF VAR iDone                         AS INT  NO-UNDO.

ASSIGN cProgram =  "aa-1004-after-01-pay_timing.p".

FORM "Program  :" AT 1 cProgram   NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Action   :" AT 1 cAction    NO-LABEL  FORMAT "x(50)"    AT 12  SKIP
     "Done     :" AT 1 iDone      NO-LABEL  FORMAT "9999999"  AT 12  SKIP   
     WITH FRAME a.



DO TRANSACTION:
  ASSIGN cAction  = "Vullen betaal status."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  /* Vullen languagenr v/d crediteur. */
  FOR EACH aa-purchase_invoice
    WHERE aa-purchase_invoice.pay_timingcode EQ '' 
    EXCLUSIVE-LOCK :

    ASSIGN aa-purchase_invoice.pay_timingcode = 'E' .
    
    iDone = iDone  + 1.
    RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

  END. /* FOR EACH aa-creditor */
END. /* TRANSACTION */

DO TRANSACTION:
  ASSIGN cAction  = "Vullen betaal status."
         iDone    = 0.
  RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
  
  /* Vullen languagenr v/d crediteur. */
  FOR EACH aa-fin_receivable
    WHERE aa-fin_receivable.pay_timingcode EQ '' 
    EXCLUSIVE-LOCK :

    ASSIGN aa-fin_receivable.pay_timingcode = 'E' .
    
    iDone = iDone  + 1.
    RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).

  END. /* FOR EACH aa-creditor */
END. /* TRANSACTION */



RUN DisplayProgress (cProgram, cAction, ''    , 0     , iDone).
