USING System.cls.SPUtil.

/*------------------------------------------------------------------------
    File        : aa-2302-after-01-scheduler-logging.p
    Description : Aanpassing logging instellingen van de scheduler

*/
/* standalone preprocessor even op iets anders zetten als je deze handmatig wil draaien */
&SCOPED-DEFINE standalone NO

&IF {&standalone} = NO &THEN
{System/conversion/conversion_progress.i}
&ENDIF

/* ********************  Preprocessor Definitions  ******************** */


/* ***************************  Main Block  *************************** */
DEFINE VARIABLE cProgram                      AS CHARACTER  NO-UNDO.
DEFINE VARIABLE cAction                       AS CHARACTER NO-UNDO.
 DEFINE VARIABLE cTable                        AS CHARACTER NO-UNDO.
DEFINE VARIABLE cSeqcode                      AS CHARACTER NO-UNDO.
DEFINE VARIABLE iTotal                        AS INTEGER NO-UNDO.
DEFINE VARIABLE iDone                         AS INTEGER NO-UNDO.
DEFINE VARIABLE iModulo                       AS INTEGER   NO-UNDO.

DEFINE VARIABLE iLoop AS INTEGER NO-UNDO.

DEFINE VARIABLE cCompanyList AS CHARACTER NO-UNDO.

cProgram =  THIS-PROCEDURE:FILE-NAME.
cAction  = "Convert result qr tables".
cTable = "aa-qr_webapp_results".

DEFINE BUFFER b-aa-qr_webapp_results     FOR aa-qr_webapp_results.
DEFINE BUFFER b-aa-web_api_response      FOR aa-web_api_response.
DEFINE BUFFER b-aa-web_api_response-del  FOR aa-web_api_response.
DEFINE BUFFER b-sp-company               FOR sp-company.

/* Maak lijst companycodes */

FOR EACH b-sp-company NO-LOCK:

   cCompanyList = cCompanyList + (IF cCompanyList  = "" THEN "" ELSE ",") + b-sp-company.companycode.

END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).


FOR EACH b-aa-web_api_response NO-LOCK:

  IF NUM-ENTRIES(b-aa-web_api_response.webrequest_id, "_") > 1
  THEN DO:

    IF LOOKUP(ENTRY(1,b-aa-web_api_response.webrequest_id,"_"), cCompanyList) > 0
    THEN DO:

    CREATE b-aa-qr_webapp_results.
    ASSIGN
      b-aa-qr_webapp_results.companycode = ENTRY(1,b-aa-web_api_response.webrequest_id, "_")
      b-aa-qr_webapp_results.servicecode = b-aa-web_api_response.response_code
      b-aa-qr_webapp_results.acc_period  = INT(ENTRY(3,b-aa-web_api_response.webrequest_id,"_"))
      b-aa-qr_webapp_results.acc_year    = INT(ENTRY(2,b-aa-web_api_response.webrequest_id,"_"))
      b-aa-qr_webapp_results.accessed_qr_codes  = INT(b-aa-web_api_response.extrafield_2)
      b-aa-qr_webapp_results.generated_qr_codes = INT(b-aa-web_api_response.extrafield_1)
      b-aa-qr_webapp_results.submitted_qr_codes = INT(b-aa-web_api_response.extrafield_3)
      NO-ERROR.

     FIND b-aa-web_api_response-del WHERE ROWID(b-aa-web_api_response-del) = ROWID(b-aa-web_api_response) EXCLUSIVE-LOCK NO-ERROR NO-WAIT.
     IF AVAILABLE b-aa-web_api_response-del
     THEN DO:

      DELETE b-aa-web_api_response-del NO-ERROR.

     END.

     iDone = iDone + 1.
    END.
  END.

END.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
