/*------------------------------------------------------------------------
  File: aa/conversion/ResetAddressSequence.p
  Doel: Het opschonen en synchroniseren van de aa-address-sequence.
        
  Programmeur: Simon Roest
               (c)Softpak BV
  Datum: 08/11/2002

------------------------------------------------------------------------------*/
FOR EACH sp-sequence WHERE sequencecode BEGINS "aa-address":
  DELETE sp-sequence.
END.

FIND LAST aa-address
          NO-LOCK NO-ERROR.

IF AVAILABLE aa-address
THEN
DO:
  CREATE sp-sequence.

  ASSIGN sp-sequence.sequencecode   = "AA-ADDRESS"
         sp-sequence.des            = "Address Numbers"
         sp-sequence.previous_value = aa-address.addressnr
         sp-sequence.interval       = 1
         sp-sequence.current_value  = aa-address.addressnr + sp-sequence.interval
         sp-sequence.limit          = 99999999
         sp-sequence.cycle_at_limit = TRUE
         .
END.

