&ANALYZE-SUSPEND _VERSION-NUMBER UIB_v9r12
&ANALYZE-RESUME
&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _DEFINITIONS Procedure 
/* ********************** *****  Definitions  ************************** */

{system/include/sp-allobjects-def.i}.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


&ANALYZE-SUSPEND _UIB-PREPROCESSOR-BLOCK 

/* ********************  Preprocessor Definitions  ******************** */

&Scoped-define PROCEDURE-TYPE Procedure
&Scoped-define DB-AWARE no



/* _UIB-PREPROCESSOR-BLOCK-END */
&ANALYZE-RESUME


/* ************************  Function Prototypes ********************** */

&IF DEFINED(EXCLUDE-spGetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD spGetEntry Procedure 
FUNCTION spGetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER )  FORWARD.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-spSetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION-FORWARD spSetEntry Procedure 
FUNCTION spSetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValue     AS CHARACTER,
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER )  FORWARD.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF


/* *********************** Procedure Settings ************************ */

&ANALYZE-SUSPEND _PROCEDURE-SETTINGS
/* Settings for THIS-PROCEDURE
   Type: Procedure
   Allow: 
   Frames: 0
   Add Fields to: Neither
   Other Settings: CODE-ONLY
 */
&ANALYZE-RESUME _END-PROCEDURE-SETTINGS

/* *************************  Create Window  ************************** */

&ANALYZE-SUSPEND _CREATE-WINDOW
/* DESIGN Window definition (used by the UIB) 
  CREATE WINDOW Procedure ASSIGN
         HEIGHT             = 15
         WIDTH              = 60.
/* END WINDOW DEFINITION */
                                                                        */
&ANALYZE-RESUME

 


&ANALYZE-SUSPEND _UIB-CODE-BLOCK _CUSTOM _MAIN-BLOCK Procedure 


/* ***************************  Main Block  *************************** */


RUN addressRemarks .

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME


/* **********************  Internal Procedures  *********************** */

&IF DEFINED(EXCLUDE-addressRemarks) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _PROCEDURE addressRemarks Procedure 
PROCEDURE addressRemarks :
/*------------------------------------------------------------------------------
  Purpose:     
  Parameters:  <none>
  Notes:       
------------------------------------------------------------------------------*/

/* Remarks veld in de db is 99 lang, maar moet gexporteerd worden als 512, 
   want zo staat ie op het scherm. */

DEFINE BUFFER b-sp-field FOR sp-field.

FIND b-sp-field WHERE TRUE 
 AND b-sp-field.applicatiekode = 'AA'
 AND b-sp-field.file-name = 'AA-ADDRESS'
 AND b-sp-field.field-name = 'remarks'
 EXCLUSIVE-LOCK NO-ERROR.

IF NOT AVAILABLE b-sp-field
THEN CREATE b-sp-field.

ASSIGN 
  b-sp-field.applicatiekode = 'AA'
  b-sp-field.file-name = 'AA-ADDRESS'
  b-sp-field.field-name = 'remarks'
  b-sp-field.field-datatype = 1
  b-sp-field.field-width = 512
  b-sp-field.field-long = yes
  .

END PROCEDURE.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

/* ************************  Function Implementations ***************** */

&IF DEFINED(EXCLUDE-spGetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION spGetEntry Procedure 
FUNCTION spGetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER ) :

  {System/include/sp-get-entry.i}.

END FUNCTION.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

&IF DEFINED(EXCLUDE-spSetEntry) = 0 &THEN

&ANALYZE-SUSPEND _UIB-CODE-BLOCK _FUNCTION spSetEntry Procedure 
FUNCTION spSetEntry RETURNS CHARACTER
  ( INPUT pcLabel     AS CHARACTER, 
    INPUT pcValue     AS CHARACTER,
    INPUT pcValueList AS CHARACTER, 
    INPUT pcSep1      AS CHARACTER, 
    INPUT pcSep2      AS CHARACTER ) :

  {System/include/sp-set-entry.i}.

END FUNCTION.

/* _UIB-CODE-BLOCK-END */
&ANALYZE-RESUME

&ENDIF

